using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Ika.Graphics;

namespace TestBoids.Entities
{
    public class BlockEntity : Entity
    {
        public BlockEntity(Vector2 position, Sprite sprite, float maxSpeed)
            : base(position, sprite, maxSpeed)
        {
          
        }

        public override void Update(float dt)
        {
            if (Collision != null)
                Collision.UpdatePosition(Position);
        }
    }
}
